%define anolis_release 1
%undefine _hardened_build
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir   %{moduledir}/drivers

Name:		xorg-x11-drv-vmware
Version:	13.4.0
Release:	%{anolis_release}%{?dist}
Summary:	Xorg X11 vmware video driver

License:	MIT
URL:		http://www.x.org
Source0:	https://www.x.org/releases/individual/driver/xf86-video-vmware-%{version}.tar.xz

Patch0:         0000-saa-Build-compatibility-with-xserver-1.20.patch

ExclusiveArch:  x86_64

BuildRequires:	make
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(libdrm) >= 2.4.38
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(pciaccess) >= 0.8.0
BuildRequires:  pkgconfig(randrproto)
BuildRequires:  pkgconfig(renderproto)
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xatracker) >= 0.4.0
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xineramaproto)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xorg-server) >= 1.0.1
BuildRequires:  pkgconfig(xproto)
Requires:	Xorg %(xserver-sdk-abi-requires ansic)
Requires:	Xorg %(xserver-sdk-abi-requires videodrv)
Requires:	libxatracker >= 8.0.1

%description
X.Org X11 vmware video driver.

%prep
%autosetup -n xf86-video-vmware-%{version} -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%files
%{driverdir}/vmware_drv.so
%{_mandir}/man4/vmware.4*

%changelog
* Thu Jan 26 2023 Funda Wang <fundawang@yeah.net> - 13.4.0-1
- New version 13.4.0

* Fri Apr 22 2022 happy_orange <songnannan@linux.alibaba.com> - 13.3.0-1
- Init package from upstream
